OrcProto.StringStatistics (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Class OrcProto.StringStatistics

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessage
      - - org.apache.orc.OrcProto.StringStatistics

- All Implemented Interfaces:
    com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, OrcProto.StringStatisticsOrBuilder
  Enclosing class:
    OrcProto

      public static final class OrcProto.StringStatistics
      extends com.google.protobuf.GeneratedMessage
      implements OrcProto.StringStatisticsOrBuilder

  Protobuf type `orc.proto.StringStatistics`
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OrcProto.StringStatistics.Builder` Protobuf type `orc.proto.StringStatistics`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

      `com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MAXIMUM_FIELD_NUMBER`
    `static int` | `MINIMUM_FIELD_NUMBER`
    `static com.google.protobuf.Parser<OrcProto.StringStatistics>` | `PARSER`
    `static int` | `SUM_FIELD_NUMBER`

    - ### Fields inherited from class com.google.protobuf.GeneratedMessage

      `alwaysUseFieldBuilders`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OrcProto.StringStatistics` | `getDefaultInstance()`
    `OrcProto.StringStatistics` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `String` | `getMaximum()` `optional string maximum = 2;`
    `com.google.protobuf.ByteString` | `getMaximumBytes()` `optional string maximum = 2;`
    `String` | `getMinimum()` `optional string minimum = 1;`
    `com.google.protobuf.ByteString` | `getMinimumBytes()` `optional string minimum = 1;`
    `com.google.protobuf.Parser<OrcProto.StringStatistics>` | `getParserForType()`
    `int` | `getSerializedSize()`
    `long` | `getSum()` `optional sint64 sum = 3;`
    `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()`
    `boolean` | `hasMaximum()` `optional string maximum = 2;`
    `boolean` | `hasMinimum()` `optional string minimum = 1;`
    `boolean` | `hasSum()` `optional sint64 sum = 3;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `static OrcProto.StringStatistics.Builder` | `newBuilder()`
    `static OrcProto.StringStatistics.Builder` | `newBuilder(OrcProto.StringStatistics prototype)`
    `OrcProto.StringStatistics.Builder` | `newBuilderForType()`
    `protected OrcProto.StringStatistics.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
    `static OrcProto.StringStatistics` | `parseDelimitedFrom(InputStream input)`
    `static OrcProto.StringStatistics` | `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static OrcProto.StringStatistics` | `parseFrom(byte[] data)`
    `static OrcProto.StringStatistics` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static OrcProto.StringStatistics` | `parseFrom(com.google.protobuf.ByteString data)`
    `static OrcProto.StringStatistics` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static OrcProto.StringStatistics` | `parseFrom(com.google.protobuf.CodedInputStream input)`
    `static OrcProto.StringStatistics` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static OrcProto.StringStatistics` | `parseFrom(InputStream input)`
    `static OrcProto.StringStatistics` | `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `OrcProto.StringStatistics.Builder` | `toBuilder()`
    `protected Object` | `writeReplace()`
    `void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage

      `getAllFields, getDescriptorForType, getField, getRepeatedField, getRepeatedFieldCount, hasField, makeExtensionsImmutable, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension, parseUnknownField`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `equals, findInitializationErrors, getInitializationErrorString, hashBoolean, hashCode, hashEnum, hashEnumList, hashFields, hashLong, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

- - ### Field Detail

    - #### PARSER

          public static com.google.protobuf.Parser<OrcProto.StringStatistics> PARSER

    - #### MINIMUM_FIELD_NUMBER

          public static final int MINIMUM_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### MAXIMUM_FIELD_NUMBER

          public static final int MAXIMUM_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### SUM_FIELD_NUMBER

          public static final int SUM_FIELD_NUMBER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDefaultInstance

          public static OrcProto.StringStatistics getDefaultInstance()

    - #### getDefaultInstanceForType

          public OrcProto.StringStatistics getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### getUnknownFields

          public final com.google.protobuf.UnknownFieldSet getUnknownFields()

      Specified by:
        `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `com.google.protobuf.GeneratedMessage`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

    - #### getParserForType

          public com.google.protobuf.Parser<OrcProto.StringStatistics> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessage`

    - #### hasMinimum

          public boolean hasMinimum()

      `optional string minimum = 1;`
      Specified by:
        `hasMinimum` in interface `OrcProto.StringStatisticsOrBuilder`

    - #### getMinimum

          public String getMinimum()

      `optional string minimum = 1;`
      Specified by:
        `getMinimum` in interface `OrcProto.StringStatisticsOrBuilder`

    - #### getMinimumBytes

          public com.google.protobuf.ByteString getMinimumBytes()

      `optional string minimum = 1;`
      Specified by:
        `getMinimumBytes` in interface `OrcProto.StringStatisticsOrBuilder`

    - #### hasMaximum

          public boolean hasMaximum()

      `optional string maximum = 2;`
      Specified by:
        `hasMaximum` in interface `OrcProto.StringStatisticsOrBuilder`

    - #### getMaximum

          public String getMaximum()

      `optional string maximum = 2;`
      Specified by:
        `getMaximum` in interface `OrcProto.StringStatisticsOrBuilder`

    - #### getMaximumBytes

          public com.google.protobuf.ByteString getMaximumBytes()

      `optional string maximum = 2;`
      Specified by:
        `getMaximumBytes` in interface `OrcProto.StringStatisticsOrBuilder`

    - #### hasSum

          public boolean hasSum()

      `optional sint64 sum = 3;`

           sum will store the total length of all strings in a stripe

      Specified by:
        `hasSum` in interface `OrcProto.StringStatisticsOrBuilder`

    - #### getSum

          public long getSum()

      `optional sint64 sum = 3;`

           sum will store the total length of all strings in a stripe

      Specified by:
        `getSum` in interface `OrcProto.StringStatisticsOrBuilder`

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage`

    - #### writeTo

          public void writeTo(com.google.protobuf.CodedOutputStream output)
                       throws IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.AbstractMessage`
      Throws:
        `IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

    - #### writeReplace

          protected Object writeReplace()
                                 throws ObjectStreamException

      Overrides:
        `writeReplace` in class `com.google.protobuf.GeneratedMessage`
      Throws:
        `ObjectStreamException`

    - #### parseFrom

          public static OrcProto.StringStatistics parseFrom(com.google.protobuf.ByteString data)
                                                     throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static OrcProto.StringStatistics parseFrom(com.google.protobuf.ByteString data,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static OrcProto.StringStatistics parseFrom(byte[] data)
                                                     throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static OrcProto.StringStatistics parseFrom(byte[] data,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static OrcProto.StringStatistics parseFrom(InputStream input)
                                                     throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static OrcProto.StringStatistics parseFrom(InputStream input,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static OrcProto.StringStatistics parseDelimitedFrom(InputStream input)
                                                              throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static OrcProto.StringStatistics parseDelimitedFrom(InputStream input,
                                                                     com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                              throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static OrcProto.StringStatistics parseFrom(com.google.protobuf.CodedInputStream input)
                                                     throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static OrcProto.StringStatistics parseFrom(com.google.protobuf.CodedInputStream input,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws IOException

      Throws:
        `IOException`

    - #### newBuilder

          public static OrcProto.StringStatistics.Builder newBuilder()

    - #### newBuilderForType

          public OrcProto.StringStatistics.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static OrcProto.StringStatistics.Builder newBuilder(OrcProto.StringStatistics prototype)

    - #### toBuilder

          public OrcProto.StringStatistics.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected OrcProto.StringStatistics.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

      Specified by:
        `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.